Subject: Re: bug#16182: Acknowledgement (24.3.50; ruby-mode: Indentation style of multiline literals with hanging open paren inside other parens)

From: Dmitry Gutov <[email-masked]>
Date: Thu, 19 Dec 2013 15:47:20 +0200

Bozhidar Batsov <[email-masked]> writes:

> I recall seeing StackOverflow questions about this in Emacs, but as I
> neither practice nor promote this style I’m indifferent to supporting
> it in Emacs. I do, however, support it in RuboCop
> (https://github.com/bbatsov/rubocop/issues/661). If we decide to have
> it in Emacs we might use a similar name for the config variable -
> `ruby-end-alignment’ with two options - ‘keword and ‘assignment.

I like this direction, but since there are only two choices, it should
probably be a boolean variable.